'use strict';Object.defineProperty(exports, "__esModule", { value: true });var _createClass = function () {function defineProperties(target, props) {for (var i = 0; i < props.length; i++) {var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);}}return function (Constructor, protoProps, staticProps) {if (protoProps) defineProperties(Constructor.prototype, protoProps);if (staticProps) defineProperties(Constructor, staticProps);return Constructor;};}();var _react = require('react');var _react2 = _interopRequireDefault(_react);
var _propTypes = require('prop-types');var _propTypes2 = _interopRequireDefault(_propTypes);

var _Btn = require('../Btn');var _Btn2 = _interopRequireDefault(_Btn);
var _Icon = require('../Icon');var _Icon2 = _interopRequireDefault(_Icon);function _interopRequireDefault(obj) {return obj && obj.__esModule ? obj : { default: obj };}function _classCallCheck(instance, Constructor) {if (!(instance instanceof Constructor)) {throw new TypeError("Cannot call a class as a function");}}function _possibleConstructorReturn(self, call) {if (!self) {throw new ReferenceError("this hasn't been initialised - super() hasn't been called");}return call && (typeof call === "object" || typeof call === "function") ? call : self;}function _inherits(subClass, superClass) {if (typeof superClass !== "function" && superClass !== null) {throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);}subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } });if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;}

/**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 * @class Modal
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 * @augments {Component<{
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      buttons?: Array<{ label, className?, action? }>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      className?: string
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      headerClassName?: string
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      icon?: string
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      message?
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      style?: Object
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      title?
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      onClose?: Function
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    }, {
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    }>}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 */var
Modal = function (_Component) {_inherits(Modal, _Component);function Modal() {_classCallCheck(this, Modal);return _possibleConstructorReturn(this, (Modal.__proto__ || Object.getPrototypeOf(Modal)).apply(this, arguments));}_createClass(Modal, [{ key: 'render', value: function render()


















    {var _props =









      this.props,className = _props.className,style = _props.style,title = _props.title,icon = _props.icon,headerClassName = _props.headerClassName,message = _props.message,buttons = _props.buttons,onClose = _props.onClose;
      return (
        _react2.default.createElement('div', { className: 'Modal ' + className, style: style },
          _react2.default.createElement('div', { className: 'Modal-box' },
            _react2.default.createElement('header', { className: 'Modal-header ' + headerClassName },
              icon && _react2.default.createElement(_Icon2.default, { className: 'Icon--mR', glyph: icon }),
              _react2.default.createElement('h3', { className: 'Modal-title' }, title)),

            _react2.default.createElement('div', { className: 'Modal-message' },
              typeof message === 'string' ?
              message.
              split(/\s*\n\s*/).
              map(function (line, i) {return _react2.default.createElement('p', { key: i }, line);}) :
              message),

            _react2.default.createElement('footer', { className: 'Modal-footer' },
              buttons.map(function (btn, i) {return (
                  _react2.default.createElement(_Btn2.default, {
                      key: i,
                      className: 'Btn--plain ' + (btn.className || ''),
                      onClick: function onClick() {
                        btn.action && btn.action();
                        onClose();
                      } },

                    btn.label));})))));






    } }]);return Modal;}(_react.Component);Modal.propTypes = { buttons: _propTypes2.default.arrayOf(_propTypes2.default.object), className: _propTypes2.default.string, headerClassName: _propTypes2.default.string, icon: _propTypes2.default.string, message: _propTypes2.default.node, style: _propTypes2.default.object, title: _propTypes2.default.node, onClose: _propTypes2.default.func };Modal.defaultProps = { buttons: [{ label: 'OK', className: 'Btn--secondary' }], className: '', headerClassName: '', onClose: function onClose() {} };exports.default =


Modal;