'use strict';Object.defineProperty(exports, "__esModule", { value: true });var _extends = Object.assign || function (target) {for (var i = 1; i < arguments.length; i++) {var source = arguments[i];for (var key in source) {if (Object.prototype.hasOwnProperty.call(source, key)) {target[key] = source[key];}}}return target;};var _createClass = function () {function defineProperties(target, props) {for (var i = 0; i < props.length; i++) {var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);}}return function (Constructor, protoProps, staticProps) {if (protoProps) defineProperties(Constructor.prototype, protoProps);if (staticProps) defineProperties(Constructor, staticProps);return Constructor;};}();var _react = require('react');var _react2 = _interopRequireDefault(_react);
var _propTypes = require('prop-types');var _propTypes2 = _interopRequireDefault(_propTypes);
var _debounce2 = require('lodash/debounce');var _debounce3 = _interopRequireDefault(_debounce2);
var _pick2 = require('lodash/pick');var _pick3 = _interopRequireDefault(_pick2);

var _Dropdown = require('../Dropdown');var _Dropdown2 = _interopRequireDefault(_Dropdown);
var _FormFieldTick = require('../FormFieldTick');var _FormFieldTick2 = _interopRequireDefault(_FormFieldTick);function _interopRequireDefault(obj) {return obj && obj.__esModule ? obj : { default: obj };}function _toConsumableArray(arr) {if (Array.isArray(arr)) {for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) {arr2[i] = arr[i];}return arr2;} else {return Array.from(arr);}}function _classCallCheck(instance, Constructor) {if (!(instance instanceof Constructor)) {throw new TypeError("Cannot call a class as a function");}}function _possibleConstructorReturn(self, call) {if (!self) {throw new ReferenceError("this hasn't been initialised - super() hasn't been called");}return call && (typeof call === "object" || typeof call === "function") ? call : self;}function _inherits(subClass, superClass) {if (typeof superClass !== "function" && superClass !== null) {throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);}subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } });if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;}

/**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               * @class FormFieldSelectGroup
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               * @augments {Component<{
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    align?: 'left' | 'right'
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    className?: string
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    debounce?: number
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    disabled?: boolean
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    hidePlaceholder?: boolean
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    id?: string
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    inline?: 'tabbed' | boolean
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    label?
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    multiple?: boolean
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    name?: string
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    options: Array<{ label, value }>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    optionsPerRow?: number
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    placeholder?: string
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    readOnly?: boolean,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    style?: any
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    touched?: boolean
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    value?
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    onBlur?: Function
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    onChange?: Function
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    onFocus?: Function
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    validation?: Function
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    valueRenderer?: Function
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  }, any>}
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               */var
FormFieldSelectGroup = function (_Component) {_inherits(FormFieldSelectGroup, _Component);function FormFieldSelectGroup() {var _ref;var _temp, _this, _ret;_classCallCheck(this, FormFieldSelectGroup);for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {args[_key] = arguments[_key];}return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = FormFieldSelectGroup.__proto__ || Object.getPrototypeOf(FormFieldSelectGroup)).call.apply(_ref, [this].concat(args))), _this), _initialiseProps.call(_this), _temp), _possibleConstructorReturn(_this, _ret);}_createClass(FormFieldSelectGroup, [{ key: 'componentWillMount', value: function componentWillMount()














































    {
      this.setPropsToState(this.props);
    } }, { key: 'componentWillReceiveProps', value: function componentWillReceiveProps(

    nextProps) {
      this.setPropsToState(nextProps);
    }


















































































    /*
       * @public
       */ }, { key: 'render',

















































    // eslint-disable-next-line complexity
    value: function render() {var _this2 = this;var _props =










      this.props,className = _props.className,style = _props.style,label = _props.label,disabled = _props.disabled,readOnly = _props.readOnly,valueRenderer = _props.valueRenderer,placeholder = _props.placeholder,align = _props.align,multiple = _props.multiple;var _state =
      this.state,val = _state.val,error = _state.error,focused = _state.focused;
      var checkedOpts = this.findOptions(val) || [
      { label: placeholder, value: val }];


      className += disabled ? ' isDisabled' : '';
      className += readOnly ? ' isReadOnly' : '';
      className += error ? ' isInvalid' : '';
      className += focused ? ' isFocused' : '';

      return (
        _react2.default.createElement('div', {
            className: 'FormField FormField--selectGroup ' + className,
            style: style },

          typeof label !== 'undefined' &&
          _react2.default.createElement('label', { className: 'FormField-label' }, label),

          _react2.default.createElement('div', { className: 'FormField-field' },
            this.props.inline ?
            this.renderSelectGroup(checkedOpts) :

            _react2.default.createElement(_Dropdown2.default, {
                className: 'Dropdown--field',
                ref: function ref(c) {return _this2.dropdownEl = c;},
                label: valueRenderer(multiple ? checkedOpts : checkedOpts[0]),
                align: align,
                disabled: disabled || readOnly,
                onOpen: this.handleFocus,
                onClose: this.handleBlur },

              this.renderSelectGroup(checkedOpts)),


            error && _react2.default.createElement('p', { className: 'FormField-error' }, error))));



    } }]);return FormFieldSelectGroup;}(_react.Component);FormFieldSelectGroup.propTypes = { align: _propTypes2.default.oneOf(['left', 'right']), className: _propTypes2.default.string, debounce: _propTypes2.default.number, disabled: _propTypes2.default.bool, hidePlaceholder: _propTypes2.default.bool, id: _propTypes2.default.string, inline: _propTypes2.default.oneOfType([_propTypes2.default.string, _propTypes2.default.bool]), label: _propTypes2.default.node, multiple: _propTypes2.default.bool, name: _propTypes2.default.string, options: _propTypes2.default.arrayOf(_propTypes2.default.object).isRequired, optionsPerRow: _propTypes2.default.number, placeholder: _propTypes2.default.string, readOnly: _propTypes2.default.bool, style: _propTypes2.default.object, touched: _propTypes2.default.bool, value: _propTypes2.default.any, onBlur: _propTypes2.default.func, onChange: _propTypes2.default.func, onFocus: _propTypes2.default.func, validation: _propTypes2.default.func, valueRenderer: _propTypes2.default.func };FormFieldSelectGroup.defaultProps = { align: 'left', className: '', debounce: 200, optionsPerRow: 1, placeholder: '— Select —', value: '', onBlur: function onBlur() {}, onChange: function onChange() {}, onFocus: function onFocus() {}, validation: function validation() {}, valueRenderer: function valueRenderer(op) {return Array.isArray(op) ? op.map(function (o) {return o.label;}).join(', ') : op.label;} };var _initialiseProps = function _initialiseProps() {var _this3 = this;this.state = { error: null, focused: false, touched: false };this.setPropsToState = function (props) {var val = _this3.normalizeValue(props.value);var opts = [].concat(_toConsumableArray(props.hidePlaceholder ? [] : [{ label: props.placeholder, value: '' }]), _toConsumableArray(props.options));_this3.setState(function (_ref2) {var touched = _ref2.touched;return _extends({ val: val, opts: opts }, props.touched ? { touched: true } : {});}, function () {if (_this3.state.touched) {_this3.validate();}});};this.normalizeValue = function (value) {if (!Array.isArray(value)) {value = typeof value !== 'undefined' ? [value] : [];}return value;};this.returnValue = function (val) {return _this3.props.multiple ? val : val[0];};this.findOptions = function (val) {var options = _this3.state.opts.filter(function (o) {return val.indexOf(o.value) !== -1;});return options.length ? options : null;};this.handleChange = function (value, checked) {var multiple = _this3.props.multiple;var _state2 = _this3.state,val = _state2.val,error = _state2.error;if (multiple) {var idx = val.indexOf(value);val = [].concat(_toConsumableArray(idx === -1 ? [value] : val.slice(0, idx)), _toConsumableArray(val.slice(idx + 1)));} else {val = [value];}_this3.setState(_extends({ val: val }, error ? _this3.validate(val, false) : {}));if (_this3.dropdownEl) {_this3.dropdownEl.handleClose();}_this3.triggerOnChange(_this3.returnValue(val));};this.handleFocus = function (ev) {_this3.setState({ focused: true });_this3.props.onFocus(ev);};this.handleBlur = function (ev) {_this3.setState(function (_ref3) {var val = _ref3.val;return _extends({ focused: false, touched: true }, _this3.validate(val, false));});_this3.props.onBlur(ev);};this.triggerOnChange = (0, _debounce3.default)(function () {var _props2;(_props2 = _this3.props).onChange.apply(_props2, arguments); // call the fresh prop
  }, this.props.debounce);this.validate = function () {var val = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _this3.state.val;var updateState = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;var error = _this3.props.validation(_this3.returnValue(val)) || null;if (updateState && error !== _this3.state.error) {_this3.setState({ error: error });}return { error: error };};this.renderSelectGroup = function (checkedOpts) {var opts = _this3.state.opts;var _props3 = _this3.props,inline = _props3.inline,multiple = _props3.multiple,optionsPerRow = _props3.optionsPerRow;return _react2.default.createElement('div', { className: 'FormField-group' }, _react2.default.createElement('ul', { className: 'FormField-groupList FormField-groupList--' + (inline || 'overflow') }, opts.map(function (opt, i) {return _react2.default.createElement('li', { key: opt.value, className: 'FormField-groupItem', style: { width: 100 / optionsPerRow + '%' } }, _react2.default.createElement(_FormFieldTick2.default, _extends({ type: multiple ? 'checkbox' : 'radio', label: opt.label, debounce: 0, checked: checkedOpts.indexOf(opt) !== -1, value: opt.value }, (0, _pick3.default)(_this3.props, 'name', 'disabled', 'tabIndex', 'readOnly'), { onChange: _this3.handleChange, onFocus: function onFocus(ev) {return inline && _this3.handleFocus(ev);}, onBlur: function onBlur(ev) {return inline && _this3.handleBlur(ev);} })));})));};};exports.default =

FormFieldSelectGroup;